Subject: bug#32883: 26.1; Emacs not response in shell mode

From: "alexei28" <[email-masked]>
Date: Sun, 30 Sep 2018 17:04:24 +0300

-----Original Message-----
From: Eli Zaretskii <[email-masked]> 
Sent: Sunday, September 30, 2018 16:51
To: alexei28 <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#32883: 26.1; Emacs not response in shell mode

> From: "alexei28" <[email-masked]>
> Cc: <[email-masked]>
> Date: Sun, 30 Sep 2018 16:41:39 +0300
> 
> I noticed that only this command. 
> 
> When in shell mode (e.g. some application) generate interactively text 
> in standard output .

Sorry, I don't understand.  What does "generate interactively" mean?

Earlier you said "you can start any process that generates text on standard
output", and "dir" is such a command.  If it's only the single command "adb
logcat -vtime", and no other command produces the same problem, maybe that
command is simply incompatible with Emacs?

I mean some process (e.g. application) that generate text long time (e.g. 1
minutes) in standard output. 
The command "dir"  execute very quickly (about  1 second).

Test:

1. M-x shell
2. Start some application that generate text about 1 minute  to standard
output.
3. Аt the fifth second press arrow up and move cursor to the center of the
screen (the text continues generated)
4. And now press Enter. It's important to press Enter when text is continue
to generate in shell mode.
5. And Emacs will "freeze". Not response any more.
Only "C-g" can help or not to unlock this.
I always kill Emacs process from Task Manager